# Payment Schedules

Use payment schedules to split invoice or account balances into several installments and automatically process payments for the installments.
For more information about payment schedules, see Payment Schedules.

 - [POST /v1/payment-schedule-items/retry-payment](https://developer.zuora.com/v1-api-reference/api/payment-schedules/post_retrypaymentscheduleitem.md): Retries failed payment schedule items. The payment method and payment gateway of the failed payment can be updated to new values before the retry. Note that you can retry a payment schedule item only
 - [PUT /v1/payment-schedule-items/{item-id}/cancel](https://developer.zuora.com/v1-api-reference/api/payment-schedules/put_cancelpaymentscheduleitem.md): Cancels a payment schedule item by ID. **Note:** - The Payment Schedules feature is in the **Early Adopter** phase. We are actively soliciting feedback from a small set of early adopters before releas
 - [PUT /v1/payment-schedule-items/{item-id}/skip](https://developer.zuora.com/v1-api-reference/api/payment-schedules/put_skippaymentscheduleitem.md): Skips a payment schedule item by ID. The skipped payment schedule item will turn to the `canceled` status, and a new item will be scheduled on the next recurring date after the last existing scheduled
 - [GET /v1/payment-schedule-items/{psi-id}](https://developer.zuora.com/v1-api-reference/api/payment-schedules/get_paymentscheduleitem.md): Retrieves a payment schedule item by ID. **Note:** - The Payment Schedules feature is in the **Early Adopter** phase. We are actively soliciting feedback from a small set of early adopters before rele
 - [PUT /v1/payment-schedule-items/{psi-id}](https://developer.zuora.com/v1-api-reference/api/payment-schedules/put_paymentscheduleitem.md): Updates a payment schedule item by ID. **Note:** - The Payment Schedules feature is in the **Early Adopter** phase. We are actively soliciting feedback from a small set of early adopters before releas
 - [DELETE /v1/payment-schedule-items/{psi-id}](https://developer.zuora.com/v1-api-reference/api/payment-schedules/deletepaymentscheduleitem.md): **Note:** This operation is only available if you have [Invoice Settlement](https://docs.zuora.com?resourceId=billing-invoice-settlement) enabled. The Invoice Settlement feature is generally available
 - [GET /v1/payment-schedules](https://developer.zuora.com/v1-api-reference/api/payment-schedules/get_paymentschedules.md): Retrieves payment schedules of a customer account. **Note:** - The Payment Schedules feature is in the **Early Adopter** phase. We are actively soliciting feedback from a small set of early adopters b
 - [POST /v1/payment-schedules](https://developer.zuora.com/v1-api-reference/api/payment-schedules/post_paymentschedule.md): Creates a payment schedule. You can create either recurring payment schedules or custom payment schedules. **Note:** - This operation is only available if you have [Invoice Settlement](https://docs.zu
 - [POST /v1/payment-schedules/batch](https://developer.zuora.com/v1-api-reference/api/payment-schedules/post_paymentschedules.md): Creates multiple payment schedules at once. You can create both recurring payment schedules and custom payment schedules in one request. The maximum number of payment schedules that can be created by
 - [GET /v1/payment-schedules/statistics/{yyyy-mm-dd}](https://developer.zuora.com/v1-api-reference/api/payment-schedules/get_paymentschedulestatistic.md): Retrieves the payment schedule statistic of a specific date. **Note:** - The Payment Schedules feature is in the **Early Adopter** phase. We are actively soliciting feedback from a small set of early
 - [GET /v1/payment-schedules/{paymentScheduleKey}](https://developer.zuora.com/v1-api-reference/api/payment-schedules/get_paymentschedule.md): Retrieves a payment schedule by payment schedule key. **Note:** - The Payment Schedules feature is in the **Early Adopter** phase. We are actively soliciting feedback from a small set of early adopter
 - [PUT /v1/payment-schedules/{paymentScheduleKey}](https://developer.zuora.com/v1-api-reference/api/payment-schedules/put_paymentschedule.md): Updates a payment schedule. For custom payment schedules, only the custom fields on the payment schedules can be udpated. Use the [Update a payment schedule item](https://developer.zuora.com/api-refer
 - [DELETE /v1/payment-schedules/{paymentScheduleKey}](https://developer.zuora.com/v1-api-reference/api/payment-schedules/deletepaymentschedule.md): **Note:** This operation is only available if you have [Invoice Settlement](https://docs.zuora.com?resourceId=billing-invoice-settlement) enabled. The Invoice Settlement feature is generally available
 - [PUT /v1/payment-schedules/{paymentScheduleKey}/cancel](https://developer.zuora.com/v1-api-reference/api/payment-schedules/put_cancelpaymentschedule.md): Cancels a payment schedule. **Note:** - All pending payment schedule items will be canceled, effective from `cancelDate`. - The Payment Schedules feature is in the **Early Adopter** phase. We are acti
 - [POST /v1/payment-schedules/{paymentScheduleKey}/items](https://developer.zuora.com/v1-api-reference/api/payment-schedules/post_additemstocustompaymentschedule.md): Adds payment schedule items to a custom payment schedule. You cannot use this operation to add payment schedule items to recurring payment schedules. **Note:** - The Payment Schedules feature is in th
 - [PUT /v1/payment-schedules/{paymentScheduleKey}/preview](https://developer.zuora.com/v1-api-reference/api/payment-schedules/put_paymentscheduleupdatepreview.md): Preview the result of a payment schedule update. This operation only provides a preview. No changes will be made to the database. For custom payment schedules, only the custom fields on the payment sc
